#ifndef ANYPOLICYVALIDATOR_H
#define ANYPOLICYVALIDATOR_H

#include "validator.h"

class AnyPolicyValidator : public Validator
{
public:
    explicit AnyPolicyValidator(const std::list<std::shared_ptr<Policy>>& policies);
    virtual ~AnyPolicyValidator() override;

    virtual ValidateResult validate(const std::shared_ptr<Actor>& actor) const override;
};

#endif // ANYPOLICYVALIDATOR_H
